---
title: PanelBar API
description: "API Index | PanelBar"
api_reference: true
slug: api_panelbaritemcomponent_wrapper
---

# PanelBar

## Directive

`kendo-panelbar-item`

## Child Components

You can nest the `kendo-panelbar-item` components instead of binding the `items` prop to an array of items.

## Props

### text `String`

The text of the item.

### css-class `String`

Adds a custom CSS class to the item.

### url `String`

The link URL if navigation is needed.

### encoded `Boolean`

Allows the use of HTML for the item text.

### content `String`

The content within an item.

### content-url `Object`

The URL from where the content to be fetched.

### image-url `String`

The URL of the item image.

### items `Array`

A sub-item collection.

### expanded `Boolean`

Defines whether the item will be expanded or not.

### sprite-css-class `String`

The sprite CSS class of the item image.

## Suggested Links

* [`dataSource` in Kendo UI PanelBar for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/ui/panelbar/configuration/datasource)
