---
title: Images
page_title: Images - TabStrip - Kendo UI for Vue
description: "Set up the tabs of the Kendo UI TabStrip wrapper for Vue so that they render images."
slug: images_tabstrip_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/layout/tabstrip/"
position: 2
---

<div><WrapperBanner link="/kendo-vue-ui/components/layout/tabstrip"></WrapperBanner></div>    

# Images

The TabStrip provides options to display images in its tabs.

To bind a collection of items, use the `data-source` configuration. To render the image as an icon, use the `imageUrl` field to point to the image address.

{% meta height:550 %}
{% embed_file tabstrip/images/basic/main.vue preview %}
{% embed_file tabstrip/images/basic/main.js %}
{% endmeta %}

Similarly, using the spriteCssClass in the data items, you can add a class to decorate with an icon.

{% meta height:550 %}
{% embed_file tabstrip/images/sprites/main.vue preview %}
{% embed_file tabstrip/images/sprites/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI DataSource Component](https://docs.telerik.com/kendo-ui/framework/datasource/overview)
* [Kendo UI TabStrip for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/tabstrip/overview)
* [API Reference of the TabStrip Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/tabstrip)
